ROS Resources: Documentation | Support | Discussion Forum | Service Status | Q&A answers.ros.org
Ask Your Question
0

Does the latest version of gazebo work with ROS?

asked 2013-01-04 09:23:07 -0600

madmax gravatar image

Is it possible to use the latest version of gazebo with ROS like the version that comes with the ROS installation? Because I have some problems and would like to try out the newer one.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2013-01-04 10:09:32 -0600

Dave Coleman gravatar image

I just asked a similar question on the answers.gazebo site. From my current understanding it is not possible until the ros package maintainers decide to switch it over. There have been some plugin and api changes so I imagine that that is the hold up. Also, there is the desire to catkinize the ROS-Gazebo package before releasing the new version.

edit flag offensive delete link more

Comments

You say that you have version 1.2? I have fuerte and it says 1.0.2. Has groovy a newer version of gazebo?

madmax gravatar imagemadmax ( 2013-01-04 11:08:22 -0600 )edit
1

Ah, I assumed you had the latest version of ROS. Groovy does have a newer version of Gazebo, but not the newest (1.3). With Groovy I can find it here: /opt/ros/groovy/stacks/simulator_gazebo/gazebo/gazebo/share/gazebo-1.2

Dave Coleman gravatar imageDave Coleman ( 2013-01-04 11:31:52 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-01-04 09:23:07 -0600

Seen: 199 times

Last updated: Jan 04 '13